| Package | Description |
|---|---|
| com.atlassian.utt.http |
| Modifier and Type | Method and Description |
|---|---|
static TestHttpServer.ResponseProperties |
TestHttpServer.authChallenge(String challengeHeaderValue)
Constructs a
TestHttpServer.ResponseProperties instance with a 401 (unauthorized)
status and a WWW-Authenticate header. |
TestHttpServer.ResponseProperties |
TestHttpServer.ResponseProperties.body(String b)
Returns a new
ResponseProperties instance based on the current instance,
but adding the specified response body. |
TestHttpServer.ResponseProperties |
TestHttpServer.ResponseProperties.header(String name,
String value)
Returns a new
ResponseProperties instance based on the current instance,
but adding the specified response header. |
static TestHttpServer.ResponseProperties |
TestHttpServer.proxyAuthChallenge(String challengeHeaderValue)
Constructs a
TestHttpServer.ResponseProperties instance with a 407 (proxy authorization)
status and a Proxy-Authenticate header. |
static TestHttpServer.ResponseProperties |
TestHttpServer.status(int status)
Constructs a
TestHttpServer.ResponseProperties instance with a specific HTTP status code. |
| Modifier and Type | Method and Description |
|---|---|
TestHttpServer |
TestHttpServer.respondIf(org.hamcrest.Matcher<TestHttpServer.RequestProperties> pattern,
TestHttpServer.ResponseProperties r)
Configures the embedded server to send a specific response whenever it receives a
request that meets certain conditions.
|
Copyright © 2017 Atlassian. All rights reserved.